<div class="container" style="margin-top:5vw">
    <div class="row">
        <div *ngFor="let meme of bookmarkedMemes" class="col-md-4" style="margin-bottom: 4vw">
            <div class="card" style="width: 18rem;">
                <img class="card-img-top" src={{meme.imageURL}} alt="Card image cap">
                <div class="card-body">
                  <h5 class="card-title">By {{meme.name}}</h5>
                </div>
                <div>
                    <button class="btn" style="color: red;" *ngIf="!authService.user.liked.includes(meme.memeID)" (click) = "authService.addLike(meme.memeID)">
                        <i class="fa fa-heart-o fa-2x"></i>
                    </button>
                    <button class="btn" style="color: red;" *ngIf="authService.user.liked.includes(meme.memeID)" (click) = "authService.removeLike(meme.memeID)">
                        <i class="fa fa-heart fa-2x"></i>
                    </button>
                    <button class="btn" style="color: yellow;" *ngIf="!authService.user.bookmarked.includes(meme.memeID)" (click) = "addBookmark(meme.memeID)">
                        <i class="fa fa-bookmark-o fa-2x"></i>
                    </button>
                    <button class="btn" style="color: yellow;" *ngIf="authService.user.bookmarked.includes(meme.memeID)" (click) = "removeBookmark(meme.memeID)">
                        <i class="fa fa-bookmark fa-2x"></i>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>
